package com.qmth.distributed.print.business.bean.dto.report;

import com.qmth.distributed.print.business.bean.result.report.studentRequirement.CourseTargetRequirement;

import java.util.List;

public class StudentCourseInfoDto {

    private Long cultureProgramId;
    private String semesterName;
    private String courseCode;
    private String courseName;
    private String resultDetail;
    private Double score;

    private List<CourseTargetRequirement> courseTargetRequirementList;

    public Long getCultureProgramId() {
        return cultureProgramId;
    }

    public void setCultureProgramId(Long cultureProgramId) {
        this.cultureProgramId = cultureProgramId;
    }

    public String getSemesterName() {
        return semesterName;
    }

    public void setSemesterName(String semesterName) {
        this.semesterName = semesterName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getResultDetail() {
        return resultDetail;
    }

    public void setResultDetail(String resultDetail) {
        this.resultDetail = resultDetail;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public List<CourseTargetRequirement> getCourseTargetRequirementList() {
        return courseTargetRequirementList;
    }

    public void setCourseTargetRequirementList(List<CourseTargetRequirement> courseTargetRequirementList) {
        this.courseTargetRequirementList = courseTargetRequirementList;
    }
}
